﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DressAtelierDataModels.Models;

namespace DressAtelierContracts.BindingModels
{
    public class AtelierBindingModel : IAtelierModel
    {
        public string Name { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime OpeningDate { get; set; } 

        public Dictionary<int, (IDressModel, int)> DressesList { get; set; } = new();

        public int ID { get; set; }
    }
}
