﻿using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.BusinessLogicContracts
{
    public interface IAtelierLogic
    {
        List<AtelierViewModel>? ReadList(AtelierSearchModel? model);
        AtelierViewModel? ReadElement(AtelierSearchModel model);
        bool AddDress(AtelierBindingModel atelierModel, DressBindingModel dressModel, int quantity);
        bool Create(AtelierBindingModel model);
        bool Update(AtelierBindingModel model);
        bool Delete(AtelierBindingModel model);
    }
}
